global:
  scrape_interval: 15s
  scrape_timeout: 10s
  evaluation_interval: 15s
alerting:
  alertmanagers:
    - static_configs:
        - targets: []
      scheme: http
      timeout: 10s
scrape_configs:
  - job_name: api
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - api:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: catalog
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - catalog:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: queue
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - queue:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: analyzer
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - analyzer:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: policy-engine
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - policy-engine:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: rbac-manager
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - rbac-manager:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: reports
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - reports:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: reports_worker
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - reports_worker:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: notifications
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - notifications:8228
    basic_auth:
      username: admin
      password: foobar

  - job_name: feeds
    scrape_interval: 15s
    scrape_timeout: 10s
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - feeds:8228
    basic_auth:
      username: admin
      password: foobar

